Bug 1009162 - remove/reduce dependency on fedora logos
remove/reduce dependency on fedora logos
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 16:55 EDT by Matthew Miller
Modified: 2013-11-10 02:35 EST (History)
7 users (show)

See Also:
Fixed In Version: httpd-2.4.6-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:35:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-09-17 16:55:36 EDT
If you start from a minimal image and install httpd, it's about 10MB, 87% of which is fedora-logos. I understand this is probably used in the default content, but if we could split that out, it'd be faster for people provisioning Fedora with httpd inside their container or vm.
Comment 1 Joe Orton 2013-09-17 17:24:26 EDT
Hah!  There must be an appropriate saying here...

"For want of a generic representation of a metallic object used for fixing other objects together... the kingdom became full of bloat."

Split out poweredby.png from system-logos, or let me revert the fix for bug 250676 :)
Comment 2 Bill Nottingham 2013-09-19 16:33:46 EDT
If it's this much of a problem... do we really need the image in the page? Or have a generic one instead of a branded one?
Comment 3 Sandro Mathys 2013-09-19 17:05:09 EDT
Or split the httpd package like:
1) httpd -> metapackage, Requires the two packages below
2) httpd-server (guess what goes in here)
3) httpd-defaultpage (the onyl package to Require fedora-logos)

(or whatever naming you prefer)

Should be easy enough and people who want to avoid fedora-logos can only just install httpd-server instead of httpd. Others simply stick with httpd.

just an idea :)
Comment 4 Mike McGrath 2013-09-19 17:40:18 EDT
Is there a reason this image isn't just hosted on fedoraproject.org and linked to?
Comment 5 Bill Nottingham 2013-09-19 17:48:16 EDT
Externally linked from a filesystem location allows for easy rebranding (local or otherwise)... moving to an externally hosted file less so. Also less likely to cause issues on private networks, etc.

But we could just remove the image from the test page. Do we really need that level of branding these days?
Comment 6 Joe Orton 2013-09-20 04:44:24 EDT
Seriously, it's one tiny PNG file.  This was not complicated until we (cough) decided to make it complicated.  And now "we made this too complicated" is not a good reason from dropping the tiny PNG file.  If you don't want to split out fedora-logos then let's put the tiny PNG file back in httpd.
Comment 7 Bill Nottingham 2013-09-20 10:42:17 EDT
Putting the PNG file back in httpd is fine... as long as it doesn't have Fedora branding.
Comment 8 Joe Orton 2013-09-27 09:33:37 EDT
The tiny PNG file does have Fedora branding - that is the point of the tiny PNG file.  I can either close this out or re-assign to fedora-logos to request that package is split so the tiny PNG file has a separate tiny subpackage... I'm happy either way! :)
Comment 9 Matthew Miller 2013-09-27 11:09:59 EDT
I am in favor of any of these three:

1. package sample content separately from httpd itself

2. subpackage fedora-logos so a smaller subset can be used (maybe that smaller subset could be shared by most packages that don't need the large logos)

or

3. remove the graphic from the sample content so no logo is needed at all
Comment 10 Joe Orton 2013-10-01 09:43:14 EDT
I think (2) is the most reasonable solution; re-assigning to fedora-logos.
Comment 11 Tom "spot" Callaway 2013-10-09 22:12:33 EDT
I've split out fedora-logos-httpd as a subpackage with poweredby.png in f20 and rawhide. Please update httpd in f20 and rawhide to have the correct Requires and then push them both together as an update for f20.

The builds are: fedora-logos-19.0.4-4.fc20 & fedora-logos-21.0.0-1.fc21

Reassigning to httpd to finish off.
Comment 13 Fedora Update System 2013-10-21 15:51:24 EDT
httpd-2.4.6-4.fc20,fedora-logos-19.0.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/httpd-2.4.6-4.fc20,fedora-logos-19.0.4-4.fc20
Comment 14 Fedora Update System 2013-10-22 14:55:00 EDT
Package httpd-2.4.6-4.fc20, fedora-logos-19.0.4-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpd-2.4.6-4.fc20 fedora-logos-19.0.4-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19713/httpd-2.4.6-4.fc20,fedora-logos-19.0.4-4.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-11-10 02:35:35 EST
httpd-2.4.6-6.fc20, fedora-logos-19.0.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.